<?xml version="1.0" encoding="utf-8" ?>
<AppGui xmlns="AppGuiSchema">
	<Layout name="ImageEnhancementLayout">
		<Container type="CustomPopupDialog" name="ImageEnhancementDlg">
			<Properties>
				<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.HEADER" resourceFile="Strings2.xml" />
				<Property name="Size" type="Size">584,512</Property>
				<Property name="SaveSizePos" type="Bool">False</Property>
				<Property name="Modal" type="Bool">True</Property>
				<Property name="ForegroundOffset" type="Int">4</Property>
				<Property name="ForegroundBorderWidth" type="Int">1</Property>
				<Property name="BorderWidth" type="Int">4</Property>
				<Property name="TitleBarYOffset" type="Int">24</Property>
				<Property name="TitleBarHeight" type="Int">25</Property>
				<Property name="StartPosition" type="FormStartPosition">CenterParent</Property>
				<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE" />
				<ComplexProperty name="ForegroundGradient" type="Gradient" resourceID="CustomPopupDialogGradientTable.FOREGROUND_GRADIENT" />
				<ComplexProperty name="TitleBarGradient" type="Gradient" resourceID="CustomPopupDialogGradientTable.TITLEBAR_ACTIVE_GRADIENT" />
				<ComplexProperty name="TitleBarTextColor" type="Color" resourceID="CommonColors.STANDARDTEXTCOLOR" />
				<ComplexProperty name="InactiveTitleBarGradient" type="Gradient" resourceID="CustomPopupDialogGradientTable.TITLEBAR_INACTIVE_GRADIENT" />
				<ComplexProperty name="BorderColor" type="Color" resourceID="CustomPopupDialogColorTable.BORDERCOLOR" />
				<ComplexProperty name="ForegroundBorderColor" type="Color" resourceID="CustomPopupDialogColorTable.FOREGROUND_BORDERCOLOR" />
				<ComplexProperty name="TitleBarBorderColor" type="Color" resourceID="CustomPopupDialogColorTable.TITLEBAR_BORDERCOLOR" />
				<ComplexProperty name="TitleBarFont" type="Font" resourceID="CustomPopupDialogFontTable.TITLEBARFONT" />
				<ComplexProperty name="BackColor" type="Color">
					<Properties>
						<Property name="ColorName" type="String">White</Property>
					</Properties>
				</ComplexProperty>
				<ComplexProperty name="CloseButton" type="ImageButton">
					<Properties>
						<Property name="Size" type="Size">18,18</Property>
						<Property name="Location" type="Point">553,7</Property>
						<Property name="ImageUp" type="Image">exit.png</Property>
						<Property name="ImageDown" type="Image">exit_down.png</Property>
						<Property name="ImageHover" type="Image">exit_over.png</Property>
						<Property type="Bool" name="Enabled">True</Property>
					</Properties>
				</ComplexProperty>
			</Properties>
			<Controls>
				<Control type="Label" name="AdjustListBoxLabel">
					<Properties>
						<Property name="Location" type="Point">30,30</Property>
						<Property name="Size" type="Size">100,15</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.ADJUST_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="Label" name="ImageBeforeLabel">
					<Properties>
						<Property name="Location" type="Point">185,30</Property>
						<Property name="Size" type="Size">100,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.BEFORE_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="Label" name="ImageAfterLabel">
					<Properties>
						<Property name="Location" type="Point">395,30</Property>
						<Property name="Size" type="Size">100,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.AFTER_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ListBox" name="AdjustListBox">
					<Properties>
						<Property name="Location" type="Point">30,50</Property>
						<Property name="Size" type="Size">140,330</Property>
						<ComplexProperty name="BorderColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Black</Property>
							</Properties>
						</ComplexProperty>
						<Property name="BorderStyle" type="BorderStyle">FixedSingle</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">10</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ThumbnailCtrl" name="ImageBeforeThumbnail">
					<Properties>
						<Property name="Location" type="Point">185,50</Property>
						<Property name="Size" type="Size">140,105</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
						<Property name="HighlightEffect" type="HighlightEffectStyle">None</Property>
					</Properties>
				</Control>
				<Control type="ThumbnailCtrl" name="ImageAfterThumbnail">
					<Properties>
						<Property name="Location" type="Point">395,50</Property>
						<Property name="Size" type="Size">140,105</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
            <Property name="HighlightEffect" type="HighlightEffectStyle">None</Property>
					</Properties>
				</Control>
				<Control type="Label" name="ImageHintLabel">
					<Properties>
						<Property name="Location" type="Point">185,295</Property>
						<Property name="Size" type="Size">100,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.HINT_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ThumbnailCtrl" name="HintThumbnail1">
					<Properties>
						<Property name="Location" type="Point">185,315</Property>
						<Property name="Size" type="Size">85,64</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR" />
            <ComplexProperty name="SelectedBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR" />
            <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR" />
            <Property name="DefaultThumbnailImage" type="Image">WaitIcon.bmp</Property>
            <Property name="SelectedEffect" type="SelectedEffectStyle">SelectedBorder</Property>
            <Property name="HighlightEffect" type="HighlightEffectStyle">Border</Property>
					</Properties>
				</Control>
				<Control type="ThumbnailCtrl" name="HintThumbnail2">
					<Properties>
						<Property name="Location" type="Point">275,315</Property>
						<Property name="Size" type="Size">85,64</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR" />
            <ComplexProperty name="SelectedBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR" />
            <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR" />
            <Property name="DefaultThumbnailImage" type="Image">WaitIcon.bmp</Property>
            <Property name="SelectedEffect" type="SelectedEffectStyle">SelectedBorder</Property>
            <Property name="HighlightEffect" type="HighlightEffectStyle">Border</Property>
          </Properties>
				</Control>
				<Control type="ThumbnailCtrl" name="HintThumbnail3">
					<Properties>
						<Property name="Location" type="Point">365,315</Property>
						<Property name="Size" type="Size">85,64</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR" />
            <ComplexProperty name="SelectedBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR" />
            <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR" />
            <Property name="DefaultThumbnailImage" type="Image">WaitIcon.bmp</Property>
            <Property name="SelectedEffect" type="SelectedEffectStyle">SelectedBorder</Property>
            <Property name="HighlightEffect" type="HighlightEffectStyle">Border</Property>
          </Properties>
        </Control>
        <Control type="ThumbnailCtrl" name="HintThumbnail4">
          <Properties>
            <Property name="Location" type="Point">455,315</Property>
						<Property name="Size" type="Size">85,64</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR" />
            <ComplexProperty name="SelectedBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR" />
            <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR" />
            <Property name="DefaultThumbnailImage" type="Image">WaitIcon.bmp</Property>
            <Property name="SelectedEffect" type="SelectedEffectStyle">SelectedBorder</Property>
            <Property name="HighlightEffect" type="HighlightEffectStyle">Border</Property>
          </Properties>
        </Control>
        <Control type="ImageButton" name="OKButton">
          <Properties>
            <Property name="Location" type="Point">240,400</Property>
						<Property name="Size" type="Size">100,40</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.OK" resourceFile="Strings2.xml" />
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<Property name="ImageFocus" type="Image">GREEN_SM_norm.png</Property>
						<Property name="ImageUp" type="Image">GREEN_SM_norm.png</Property>
						<Property name="ImageDown" type="Image">GREEN_SM_down.png</Property>
						<Property name="ImageHover" type="Image">GREEN_SM_over.png</Property>
						<Property name="ImageDisabled" type="Image">GREEN_SM_dis.png</Property>
						<ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
						<ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
						<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
						<ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>						
					</Properties>
				</Control>
				<Control type="ImageButton" name="CancelButton">
					<Properties>
						<Property name="Location" type="Point">345,400</Property>
						<Property name="Size" type="Size">100,40</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.CANCEL" resourceFile="Strings2.xml" />
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<Property name="ImageFocus" type="Image">GREY_SM_norm.png</Property>
						<Property name="ImageUp" type="Image">GREY_SM_norm.png</Property>
						<Property name="ImageDown" type="Image">GREY_SM_down.png</Property>
						<Property name="ImageHover" type="Image">GREY_SM_over.png</Property>
						<Property name="ImageDisabled" type="Image">GREY_SM_dis.png</Property>
						<ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
						<ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
						<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
						<ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>						
					</Properties>
				</Control>
				<Control type="ImageButton" name="ApplyButton">
					<Properties>
						<Property name="Location" type="Point">450,400</Property>
						<Property name="Size" type="Size">100,40</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.APPLY" resourceFile="Strings2.xml" />
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<Property name="ImageFocus" type="Image">GREEN_SM_norm.png</Property>
						<Property name="ImageUp" type="Image">GREEN_SM_norm.png</Property>
						<Property name="ImageDown" type="Image">GREEN_SM_down.png</Property>
						<Property name="ImageHover" type="Image">GREEN_SM_over.png</Property>
						<Property name="ImageDisabled" type="Image">GREEN_SM_dis.png</Property>
						<ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
						<ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
						<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
						<ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>						
					</Properties>
				</Control>
			</Controls>
			<SubContainers>
				<Container name="BrightnessContrastPanel" type="Panel" externalName="ImageEnhancementLayout.BrightnessContrastPanel"
					scriptName="ImageEnhancementsDlg.xml" />
				<Container name="BlurPanel" type="Panel" externalName="ImageEnhancementLayout.BlurPanel" scriptName="ImageEnhancementsDlg.xml" />
				<Container name="ExposurePanel" type="Panel" externalName="ImageEnhancementLayout.ExposurePanel"
					scriptName="ImageEnhancementsDlg.xml" />
				<Container name="HueSaturationPanel" type="Panel" externalName="ImageEnhancementLayout.HueSaturationPanel"
					scriptName="ImageEnhancementsDlg.xml" />
				<Container name="EnhancePanel" type="Panel" externalName="ImageEnhancementLayout.EnhancePanel"
					scriptName="ImageEnhancementsDlg.xml" />
				<Container name="DespecklePanel" type="Panel" externalName="ImageEnhancementLayout.DespecklePanel"
					scriptName="ImageEnhancementsDlg.xml" />
			</SubContainers>
		</Container>
		<!-- Panel for Brightness / Contrast slider controls -->
		<Container type="Panel" name="BrightnessContrastPanel">
			<Properties>
				<Property name="Location" type="Point">185,165</Property>
				<Property name="Size" type="Size">350,120</Property>
				<Property name="Visible" type="Bool">False</Property>
				<ComplexProperty name="BackColor" type="Color">
					<Properties>
						<Property name="ColorName" type="String">Transparent</Property>
					</Properties>
				</ComplexProperty>
				<Property name="BorderStyle" type="BorderStyle">FixedSingle</Property>
			</Properties>
			<Controls>
				<Control type="Label" name="BrightnessLabel">
					<Properties>
						<Property name="Location" type="Point">10,30</Property>
						<Property name="Size" type="Size">65,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.BRIGHTNESS_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageTrackBar" name="BrightnessTrackBar">
					<Properties>
						<Property name="Location" type="Point">75,15</Property>
						<Property name="Size" type="Size">190,45</Property>
						<Property name="TickStyle" type="TickStyle">Both</Property>
						<Property name="Maximum" type="Int">100</Property>
						<Property name="Minimum" type="Int">-100</Property>
						<Property name="LargeChange" type="Int">10</Property>
						<Property name="SmallChange" type="Int">10</Property>
						<Property name="TickFrequency" type="Int">10</Property>
            <Property name="BoldDefaultTick" type="Bool">True</Property>
						<Property name="Value" type="Int">0</Property>
            <Property name="TrackDelayTime" type="Int">500</Property>
            <ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
						<Property name="ThumbUpImage" type="Image">Slider_Handle_reg.png</Property>
						<Property name="ThumbDownImage" type="Image">Slider_Handle_down.png</Property>
						<Property name="ThumbHoverImage" type="Image">Slider_Handle_over.png</Property>
						<Property name="ThumbDisabledImage" type="Image">Slider_Handle_dis.png</Property>
						<ComplexProperty name="ThumbBorderColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="Label" name="ContrastLabel">
					<Properties>
						<Property name="Location" type="Point">10,75</Property>
						<Property name="Size" type="Size">60,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.CONTRAST_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageTrackBar" name="ContrastTrackBar">
					<Properties>
						<Property name="Location" type="Point">75,60</Property>
						<Property name="Size" type="Size">190,45</Property>
						<Property name="TickStyle" type="TickStyle">Both</Property>
						<Property name="Minimum" type="Int">-100</Property>
						<Property name="Maximum" type="Int">100</Property>
						<Property name="LargeChange" type="Int">10</Property>
						<Property name="SmallChange" type="Int">10</Property>
						<Property name="TickFrequency" type="Int">10</Property>
            <Property name="BoldDefaultTick" type="Bool">True</Property>
						<Property name="Value" type="Int">0</Property>
            <Property name="TrackDelayTime" type="Int">500</Property>
            <ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
						<Property name="ThumbUpImage" type="Image">Slider_Handle_reg.png</Property>
						<Property name="ThumbDownImage" type="Image">Slider_Handle_down.png</Property>
						<Property name="ThumbHoverImage" type="Image">Slider_Handle_over.png</Property>
						<Property name="ThumbDisabledImage" type="Image">Slider_Handle_dis.png</Property>
						<ComplexProperty name="ThumbBorderColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageButton" name="BrightnessAutomaticButton">
					<Properties>
						<Property name="Location" type="Point">265,47</Property>
						<Property name="Size" type="Size">90,40</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.AUTOMATIC_LABEL" resourceFile="Strings2.xml" />
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<Property name="ImageFocus" type="Image">ButtonGrey_reg.png</Property>
						<Property name="ImageUp" type="Image">ButtonGrey_reg.png</Property>
						<Property name="ImageDown" type="Image">ButtonGrey_down.png</Property>
						<Property name="ImageHover" type="Image">ButtonGrey_over.png</Property>
						<Property name="ImageDisabled" type="Image">ButtonGrey_dis.png</Property>
						<ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
						<ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
						<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
						<ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>						
					</Properties>
				</Control>
			</Controls>
		</Container>
		<!-- Panel for Blur slider controls -->
		<Container type="Panel" name="BlurPanel">
			<Properties>
				<Property name="Location" type="Point">185,165</Property>
				<Property name="Size" type="Size">350,120</Property>
				<Property name="Visible" type="Bool">False</Property>
				<ComplexProperty name="BackColor" type="Color">
					<Properties>
						<Property name="ColorName" type="String">Transparent</Property>
					</Properties>
				</ComplexProperty>
				<Property name="BorderStyle" type="BorderStyle">FixedSingle</Property>
			</Properties>
			<Controls>
				<Control type="Label" name="BlurLabel">
					<Properties>
						<Property name="Location" type="Point">10,47</Property>
						<Property name="Size" type="Size">50,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.BLUR_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageTrackBar" name="BlurSharpenTrackBar">
					<Properties>
						<Property name="Location" type="Point">62,35</Property>
						<Property name="Size" type="Size">212,45</Property>
						<Property name="TickStyle" type="TickStyle">Both</Property>
						<Property name="Minimum" type="Int">-100</Property>
						<Property name="Maximum" type="Int">100</Property>
						<Property name="LargeChange" type="Int">10</Property>
						<Property name="SmallChange" type="Int">10</Property>
						<Property name="TickFrequency" type="Int">10</Property>
            <Property name="BoldDefaultTick" type="Bool">True</Property>
						<Property name="Value" type="Int">0</Property>
            <Property name="TrackDelayTime" type="Int">500</Property>
            <ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
						<Property name="ThumbUpImage" type="Image">Slider_Handle_reg.png</Property>
						<Property name="ThumbDownImage" type="Image">Slider_Handle_down.png</Property>
						<Property name="ThumbHoverImage" type="Image">Slider_Handle_over.png</Property>
						<Property name="ThumbDisabledImage" type="Image">Slider_Handle_dis.png</Property>
						<ComplexProperty name="ThumbBorderColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="Label" name="SharpenLabel">
					<Properties>
						<Property name="Location" type="Point">280,47</Property>
						<Property name="Size" type="Size">60,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.SHARPEN_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
			</Controls>
		</Container>
		<!-- Panel for Exposure slider controls -->
		<Container type="Panel" name="ExposurePanel">
			<Properties>
				<Property name="Location" type="Point">185,165</Property>
				<Property name="Size" type="Size">350,120</Property>
				<Property name="Visible" type="Bool">False</Property>
				<ComplexProperty name="BackColor" type="Color">
					<Properties>
						<Property name="ColorName" type="String">Transparent</Property>
					</Properties>
				</ComplexProperty>
				<Property name="BorderStyle" type="BorderStyle">FixedSingle</Property>
			</Properties>
			<Controls>
				<Control type="Label" name="ExposureLabel">
					<Properties>
						<Property name="Location" type="Point">10,47</Property>
						<Property name="Size" type="Size">60,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.EXPOSURE_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageTrackBar" name="ExposureTrackBar">
					<Properties>
						<Property name="Location" type="Point">75,35</Property>
						<Property name="Size" type="Size">185,45</Property>
						<Property name="TickStyle" type="TickStyle">Both</Property>
						<Property name="Minimum" type="Int">0</Property>
						<Property name="Maximum" type="Int">100</Property>
						<Property name="LargeChange" type="Int">10</Property>
						<Property name="SmallChange" type="Int">10</Property>
						<Property name="TickFrequency" type="Int">10</Property>
            <Property name="BoldDefaultTick" type="Bool">True</Property>
						<Property name="Value" type="Int">20</Property>
            <Property name="TrackDelayTime" type="Int">500</Property>
            <ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
						<Property name="ThumbUpImage" type="Image">Slider_Handle_reg.png</Property>
						<Property name="ThumbDownImage" type="Image">Slider_Handle_down.png</Property>
						<Property name="ThumbHoverImage" type="Image">Slider_Handle_over.png</Property>
						<Property name="ThumbDisabledImage" type="Image">Slider_Handle_dis.png</Property>
						<ComplexProperty name="ThumbBorderColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
			</Controls>
		</Container>
		<!-- Panel for Hue / Saturation slider controls -->
		<Container type="Panel" name="HueSaturationPanel">
			<Properties>
				<Property name="Location" type="Point">185,165</Property>
				<Property name="Size" type="Size">350,120</Property>
				<Property name="Visible" type="Bool">False</Property>
				<ComplexProperty name="BackColor" type="Color">
					<Properties>
						<Property name="ColorName" type="String">Transparent</Property>
					</Properties>
				</ComplexProperty>
				<Property name="BorderStyle" type="BorderStyle">FixedSingle</Property>
			</Properties>
			<Controls>
				<Control type="Label" name="HueLabel">
					<Properties>
						<Property name="Location" type="Point">10,30</Property>
						<Property name="Size" type="Size">60,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.HUE_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageTrackBar" name="HueTrackBar">
					<Properties>
						<Property name="Location" type="Point">75,15</Property>
						<Property name="Size" type="Size">212,45</Property>
						<Property name="TickStyle" type="TickStyle">Both</Property>
						<Property name="Minimum" type="Int">-180</Property>
						<Property name="Maximum" type="Int">180</Property>
						<Property name="LargeChange" type="Int">15</Property>
						<Property name="SmallChange" type="Int">15</Property>
						<Property name="TickFrequency" type="Int">15</Property>
            <Property name="BoldDefaultTick" type="Bool">True</Property>
						<Property name="Value" type="Int">0</Property>
            <Property name="TrackDelayTime" type="Int">500</Property>
            <ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
						<Property name="ThumbUpImage" type="Image">Slider_Handle_reg.png</Property>
						<Property name="ThumbDownImage" type="Image">Slider_Handle_down.png</Property>
						<Property name="ThumbHoverImage" type="Image">Slider_Handle_over.png</Property>
						<Property name="ThumbDisabledImage" type="Image">Slider_Handle_dis.png</Property>
						<ComplexProperty name="ThumbBorderColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="Label" name="SaturationLabel">
					<Properties>
						<Property name="Location" type="Point">10,75</Property>
						<Property name="Size" type="Size">60,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.SATURATION_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageTrackBar" name="SaturationTrackBar">
					<Properties>
						<Property name="Location" type="Point">75,60</Property>
						<Property name="Size" type="Size">212,45</Property>
						<Property name="TickStyle" type="TickStyle">Both</Property>
						<Property name="Minimum" type="Int">-100</Property>
						<Property name="Maximum" type="Int">100</Property>
						<Property name="LargeChange" type="Int">10</Property>
						<Property name="SmallChange" type="Int">10</Property>
						<Property name="TickFrequency" type="Int">10</Property>
            <Property name="BoldDefaultTick" type="Bool">True</Property>
						<Property name="Value" type="Int">0</Property>
            <Property name="TrackDelayTime" type="Int">500</Property>
            <ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
						<Property name="ThumbUpImage" type="Image">Slider_Handle_reg.png</Property>
						<Property name="ThumbDownImage" type="Image">Slider_Handle_down.png</Property>
						<Property name="ThumbHoverImage" type="Image">Slider_Handle_over.png</Property>
						<Property name="ThumbDisabledImage" type="Image">Slider_Handle_dis.png</Property>
						<ComplexProperty name="ThumbBorderColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
			</Controls>
		</Container>
		<!-- Panel for Enhance slider controls -->
		<Container type="Panel" name="EnhancePanel">
			<Properties>
				<Property name="Location" type="Point">185,165</Property>
				<Property name="Size" type="Size">350,120</Property>
				<Property name="Visible" type="Bool">False</Property>
				<ComplexProperty name="BackColor" type="Color">
					<Properties>
						<Property name="ColorName" type="String">Transparent</Property>
					</Properties>
				</ComplexProperty>
				<Property name="BorderStyle" type="BorderStyle">FixedSingle</Property>
			</Properties>
			<Controls>
				<Control type="Label" name="EnhanceLabel">
					<Properties>
						<Property name="Location" type="Point">10,47</Property>
						<Property name="Size" type="Size">60,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.ENHANCE_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageTrackBar" name="EnhanceTrackBar">
					<Properties>
						<Property name="Location" type="Point">75,35</Property>
						<Property name="Size" type="Size">185,45</Property>
						<Property name="TickStyle" type="TickStyle">Both</Property>
						<Property name="Minimum" type="Int">0</Property>
						<Property name="Maximum" type="Int">100</Property>
						<Property name="LargeChange" type="Int">10</Property>
						<Property name="SmallChange" type="Int">10</Property>
						<Property name="TickFrequency" type="Int">10</Property>
            <Property name="BoldDefaultTick" type="Bool">True</Property>
						<Property name="Value" type="Int">30</Property>
            <Property name="TrackDelayTime" type="Int">500</Property>
            <ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
						<Property name="ThumbUpImage" type="Image">Slider_Handle_reg.png</Property>
						<Property name="ThumbDownImage" type="Image">Slider_Handle_down.png</Property>
						<Property name="ThumbHoverImage" type="Image">Slider_Handle_over.png</Property>
						<Property name="ThumbDisabledImage" type="Image">Slider_Handle_dis.png</Property>
						<ComplexProperty name="ThumbBorderColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageButton" name="EnhanceAutomaticButton">
					<Properties>
						<Property name="Location" type="Point">265,47</Property>
						<Property name="Size" type="Size">90,40</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.AUTOMATIC_LABEL" resourceFile="Strings2.xml" />
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<Property name="ImageFocus" type="Image">ButtonGrey_reg.png</Property>
						<Property name="ImageUp" type="Image">ButtonGrey_reg.png</Property>
						<Property name="ImageDown" type="Image">ButtonGrey_down.png</Property>
						<Property name="ImageHover" type="Image">ButtonGrey_over.png</Property>
						<Property name="ImageDisabled" type="Image">ButtonGrey_dis.png</Property>
						<ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
						<ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
						<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
						<ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>						
					</Properties>
				</Control>
			</Controls>
		</Container>
		<!-- Panel for Despeckle slider controls -->
		<Container type="Panel" name="DespecklePanel">
			<Properties>
				<Property name="Location" type="Point">185,165</Property>
				<Property name="Size" type="Size">350,120</Property>
				<Property name="Visible" type="Bool">False</Property>
				<ComplexProperty name="BackColor" type="Color">
					<Properties>
						<Property name="ColorName" type="String">Transparent</Property>
					</Properties>
				</ComplexProperty>
				<Property name="BorderStyle" type="BorderStyle">FixedSingle</Property>
			</Properties>
			<Controls>
				<Control type="Label" name="DespeckleLabel">
					<Properties>
						<Property name="Location" type="Point">10,47</Property>
						<Property name="Size" type="Size">60,20</Property>
						<Property name="Text" type="String" resourceID="ImageEnhancementsDlg.DESPECKLE_LABEL" resourceFile="Strings2.xml" />
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">8</Property>
								<Property name="Style" type="FontStyle">Bold</Property>
							</Properties>
						</ComplexProperty>
						<Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="ImageTrackBar" name="DespeckleTrackBar">
					<Properties>
						<Property name="Location" type="Point">75,35</Property>
						<Property name="Size" type="Size">185,45</Property>
						<Property name="TickStyle" type="TickStyle">Both</Property>
						<Property name="Minimum" type="Int">0</Property>
						<Property name="Maximum" type="Int">100</Property>
						<Property name="LargeChange" type="Int">10</Property>
						<Property name="SmallChange" type="Int">10</Property>
						<Property name="TickFrequency" type="Int">10</Property>
            <Property name="BoldDefaultTick" type="Bool">True</Property>
						<Property name="Value" type="Int">0</Property>
            <Property name="TrackDelayTime" type="Int">500</Property>
            <ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
						<Property name="ThumbUpImage" type="Image">Slider_Handle_reg.png</Property>
						<Property name="ThumbDownImage" type="Image">Slider_Handle_down.png</Property>
						<Property name="ThumbHoverImage" type="Image">Slider_Handle_over.png</Property>
						<Property name="ThumbDisabledImage" type="Image">Slider_Handle_dis.png</Property>
						<ComplexProperty name="ThumbBorderColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
			</Controls>
		</Container>
	</Layout>
</AppGui>
